CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2016-5300

The XML parser in Expat does not use sufficient entropy for hash initialization, which allows context-dependent attackers to cause a denial of service (CPU consumption) via crafted identifiers in an XML document. NOTE: this vulnerability exists because of an incomplete fix for CVE-2012-0876.
Publish Date : 2016-06-16 Last Update Date : 2019-01-23
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.8
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID 399

- Products Affected By CVE-2016-5300

# Product Type Vendor Product Version Update Edition Language
1 OS Canonical Ubuntu Linux 12.04 ~~lts~~~ Version Details Vulnerabilities
2 OS Canonical Ubuntu Linux 14.04 ~~lts~~~ Version Details Vulnerabilities
3 OS Canonical Ubuntu Linux 15.10 Version Details Vulnerabilities
4 OS Canonical Ubuntu Linux 16.04 ~~lts~~~ Version Details Vulnerabilities
5 OS Debian Debian Linux 8.0 Version Details Vulnerabilities
6 OS Google Android 4.4.4 Version Details Vulnerabilities
7 OS Google Android 5.0.2 Version Details Vulnerabilities
8 OS Google Android 5.1.1 Version Details Vulnerabilities
9 OS Google Android 6.0 Version Details Vulnerabilities
10 OS Google Android 6.0.1 Version Details Vulnerabilities
11 Application Libexpat Expat - Version Details Vulnerabilities
12 Application Libexpat Expat 1.95.1 Version Details Vulnerabilities
13 Application Libexpat Expat 1.95.2 Version Details Vulnerabilities
14 Application Libexpat Expat 1.95.4 Version Details Vulnerabilities
15 Application Libexpat Expat 1.95.5 Version Details Vulnerabilities
16 Application Libexpat Expat 1.95.6 Version Details Vulnerabilities
17 Application Libexpat Expat 1.95.7 Version Details Vulnerabilities
18 Application Libexpat Expat 1.95.8 Version Details Vulnerabilities
19 Application Libexpat Expat 2.0.0 Version Details Vulnerabilities
20 Application Libexpat Expat 2.0.1 Version Details Vulnerabilities
21 Application Libexpat Expat 2.1.0 Version Details Vulnerabilities
22 Application Libexpat Expat 2.1.1 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Canonical Ubuntu Linux 4
Debian Debian Linux 1
Google Android 5
Libexpat Expat 12

- References For CVE-2016-5300

http://www.oracle.com/technetwork/topics/security/bulletinjul2016-3090568.html CONFIRM
https://security.gentoo.org/glsa/201701-21
GENTOO GLSA-201701-21
http://www.securityfocus.com/bid/91159
BID 91159 Expat CVE-2016-5300 Incomplete Fix Remote Denial of Service Vulnerability Release Date:2017-03-27
https://source.android.com/security/bulletin/2016-11-01.html CONFIRM
http://www.ubuntu.com/usn/USN-3010-1
UBUNTU USN-3010-1
http://www.openwall.com/lists/oss-security/2016/06/04/5
MLIST [oss-security] 20160604 Re: expat hash collision fix too predictable?
https://www.tenable.com/security/tns-2016-20 CONFIRM
http://www.oracle.com/technetwork/security-advisory/cpujul2018-4258247.html CONFIRM
http://www.debian.org/security/2016/dsa-3597
DEBIAN DSA-3597
http://www.openwall.com/lists/oss-security/2016/06/04/4
MLIST [oss-security] 20160604 Re: expat hash collision fix too predictable?

- Metasploit Modules Related To CVE-2016-5300

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.